## python-xml 0.4.19981014

=== expat/Makefile ===
CC=gcc
# If you know what your system's byte order is, define BYTE_ORDER:
# use -DBYTE_ORDER=12 for little-endian byte order;
# use -DBYTE_ORDER=21 for big-endian (network) byte order.
CFLAGS=-O2 -Ixmltok -Ixmlparse
# Use one of the next two lines; unixfilemap is better if it works.
FILEMAP_OBJ=xmlwf/unixfilemap.o
#FILEMAP_OBJ=xmlwf/readfilemap.o
OBJS=xmltok/xmltok.o \
  xmltok/xmlrole.o \
  xmlwf/xmlwf.o \
  xmlwf/codepage.o \
  xmlparse/xmlparse.o \
  xmlparse/hashtable.o \
  $(FILEMAP_OBJ)
EXE=

all: xmlwf/xmlwf$(EXE)

xmlwf/xmlwf$(EXE): $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS)

clean:
	rm -f $(OBJS) xmlwf/xmlwf$(EXE)

clobber:
	rm -f libexpat.a

xmltok/nametab.h: gennmtab/gennmtab$(EXE)
	rm -f $@
	gennmtab/gennmtab$(EXE) >$@

gennmtab/gennmtab$(EXE): gennmtab/gennmtab.c
	$(CC) $(CFLAGS) -o $@ gennmtab/gennmtab.c

xmltok/xmltok.o: xmltok/nametab.h

.c.o:
	$(CC) $(CFLAGS) -c -o $@ $<

libexpat.a: $(OBJS)
	ar cr libexpat.a $(OBJS)

## python-xml 0.5.1

=== expat/Makefile ===
--- 
+++ 
@@ -21,9 +21,9 @@
 	$(CC) $(CFLAGS) -o $@ $(OBJS)
 
 clean:
-	rm -f $(OBJS) xmlwf/xmlwf$(EXE)
+	rm -f $(OBJS) libexpat.a xmlwf/xmlwf$(EXE)
 
-clobber:
+clobber: clean
 	rm -f libexpat.a
 
 xmltok/nametab.h: gennmtab/gennmtab$(EXE)

## python-xml 0.8.4-10.1maemo1

=== debian/changelog ===
python-xml (0.8.4-10.1maemo1) unstable; urgency=low

  * Disable build of python-xml-doc, xbel and xbel-utils packages.
  * Add Conflicts/Replaces for "python2.5-xml (<< ${binary:Version})".

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Fri,  7 Nov 2008 10:47:50 -0400

python-xml (0.8.4-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #478621)
  * Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 22:19:49 +0100

python-xml (0.8.4-10) unstable; urgency=low

  * Split documentation and examples out to a new python-xml-doc package.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Dec 2007 03:56:48 +0100

python-xml (0.8.4-9) unstable; urgency=low

  * debian/watch: fixed. (Closes: #449635)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 08 Nov 2007 14:17:09 +0100

python-xml (0.8.4-8) unstable; urgency=low

  * xmlproc should not fail on elliptical doctype declaration.  Thanks for
    Dominique Hazael-Massieux for the patch.  (Closes: #428839)
  * Do not ship LaTeX source for xml-howto and xml-ref anymore.
    (Closes: #390471)
  * Fix an encoding issue when converting from xbel to netscape by removing
    a mixed conversion of ascii and unicode strings in Folder.dump_netscape.
    (Closes: #409779)
  * Redirect xbel_parse output to stderr.  (Closes: #233619)
  * Add myself to Uploaders.
  * Fix substvar-source-version-is-deprecated lintian warning by using
    ${binary:Version} instead of ${Source-Version}. 

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 18 Jul 2007 14:30:10 +0200

python-xml (0.8.4-7) unstable; urgency=low

  * Merge changes from Ubuntu:
    - Fix PyMem_DEL-->PyObject_DEL. Ubuntu #95649.
    - Build the extension for the python debug interpreter.
    - debian/control: Add ${shlibs:Depends}.
    - Bump debhelper compatibility to v5.

 -- Matthias Klose <doko@debian.org>  Fri,  4 May 2007 07:12:00 +0200

python-xml (0.8.4-6) unstable; urgency=medium

  * Fixes for documentation and examples:
    + Applied patch to demo/dom/generate_xml1.py. (Closes: #399410)
    + Applied patch to demo/xmlproc/catalog.soc. (Closes: #298008)
  * debian/control:
    + move debhelper to build-depends. (Closes: #392630)
    + xbel: recommends xml-core to provide a catalog mapping onto
      the XBEL DTDs. (Closes: #386720)

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 18 Dec 2006 20:12:06 +0100

python-xml (0.8.4-5) unstable; urgency=low

  * Convert to Python policy 0.4, using python-central. Closes: #373368.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jun 2006 02:10:44 +0000

python-xml (0.8.4-4) unstable; urgency=low

  * In some conditions and when parsing a utf-8 file, the xmlproc parser
    eports non-well-formedness errors when it shouldn't; applied a 
    single-line patch to fix this wrong behaviour. (Closes: #367638)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 30 May 2006 22:19:10 +0200

python-xml (0.8.4-3) unstable; urgency=low

  * New maintainer (Debian/Ubuntu Zope Team). (Closes: #354012)
  * Updated debian/watch, thanks Bart Martens! (Closes: #354367)
  * debian/rules: fixed some sed regular expressions.

 -- Fabio Tranchitella <kobold@debian.org>  Fri,  7 Apr 2006 08:36:01 +0000

python-xml (0.8.4-2) unstable; urgency=low

  * Dropped support for python2.2 and python2.1 (Closes: #351157, #159280)
  * Fixed link to xmlproc license in xmlproc documentation (Closes: #296530)

 -- Alexandre Fayolle <afayolle@debian.org>  Mon,  6 Feb 2006 15:17:48 +0100

python-xml (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch file
  * Added support for python2.4
  * Updated maintainer's email

 -- Alexandre Fayolle <afayolle@debian.org>  Tue,  7 Dec 2004 16:38:22 +0100

python-xml (0.8.3-5) unstable; urgency=low

  * Fixed wrong python dependency on xbel-utils. Closes: #210852
  * removed man pages from diff.gz since they are now in doc/man

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Tue, 23 Sep 2003 16:50:28 +0200

python-xml (0.8.3-4) unstable; urgency=low

  * Chmod +x py files in /usr/lib/python2.3/site-packages/_xmlplus/xbel/. Closes: #208388
  
 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Wed,  3 Sep 2003 14:57:20 +0200

python-xml (0.8.3-3) unstable; urgency=low

  * Fixed bug in debian/rules causing files in xbel-utils to be empty. Closes: #208388

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Tue,  2 Sep 2003 09:45:57 +0200

python-xml (0.8.3-2) unstable; urgency=low

  * changed section of xbel and xbel-utils to 'web' (was interpreters)
  * Fixed shebangs in xbel-utils and python version in maintainer scripts.  Closes: #207835
  * Standards-Version updated to 3.6.1
  
 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Mon,  1 Sep 2003 12:02:39 +0200

python-xml (0.8.3-1) unstable; urgency=low

  * New upstream release
  * Fixes broken documentation urls. Closes: #183057
  * Fixes bad 4Suite.mo file. Closes: #202926
  * changed section to "python"
  * updated standards version
  * Changed default python version to 2.3

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Mon, 11 Aug 2003 08:29:14 +0200

python-xml (0.8.2-3) unstable; urgency=low

  * fixed wrong argument order in xml.sax.expatreader. Closes: Bug#183069
  * fixed escaping ampershand characters in xml.xbel.bookmark. Closes: Bug#180468

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Tue, 11 Mar 2003 18:00:32 +0100

python-xml (0.8.2-2) unstable; urgency=low

  * Removed dependency on python2.3-xmlbase which no longer exists. Closes: Bug#180965

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Fri, 14 Feb 2003 11:08:39 +0100

python-xml (0.8.2-1) unstable; urgency=low

  * New upstream release
  * xbel-utils now replaces xbel-utils-0.6

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Mon, 10 Feb 2003 11:25:05 +0100

python-xml (0.8.1-2) unstable; urgency=low



=== debian/control ===
Source: python-xml
Section: python
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Alexandre Fayolle <afayolle@debian.org> , Fabio Tranchitella <kobold@debian.org>, Matthias Klose <doko@debian.org>, Jérémy Bobbio <lunar@debian.org>
Build-Depends: python-all-dev, python-all-dbg, debhelper (>= 5.0.37.1), python-central (>= 0.4.15)
Standards-Version: 3.8.0
XS-Python-Version: all
XS-Vcs-Svn: svn://svn.debian.org/pkg-zope/python-xml/trunk

Package: python-xml
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}
Conflicts: python-4suite (<< 0.12), python2.3-xml, python2.4-xml, python2.5-xml (<< ${binary:Version})
Replaces: python2.3-xml, python2.4-xml, python2.5-xml (<< ${binary:Version})
Provides: ${python:Provides}
Suggests: python-xml-doc, python-xml-dbg
XB-Python-Version: ${python:Versions}
Description: XML tools for Python
 The Python/XML distribution contains the basic tools required for
 processing XML data using the Python programming language, assembled
 into one easy-to-install package.  The distribution includes parsers
 and standard interfaces such as SAX and DOM, along with various other
 useful modules.
 .
 The package currently contains:
 .
  * XML parsers: Pyexpat (Jack Jansen), xmlproc (Lars Marius
    Garshol), sgmlop (Fredrik Lundh).
  * SAX interface (Lars Marius Garshol)
  * minidom DOM implementation (Paul Prescod, others)
  * 4DOM and 4XPath from Fourthought (Uche Ogbuji, Mike Olson)
  * Schema implementations: TREX (James Tauber)
  * Various utility modules and functions (various people)

Package: python-xml-doc
Architecture: all
Section: doc
Replaces: python-xml (<< 0.8.4-10)
Description: XML tools for Python (documentation and examples)
 The Python/XML distribution contains the basic tools required for
 processing XML data using the Python programming language, assembled
 into one easy-to-install package.  The distribution includes parsers
 and standard interfaces such as SAX and DOM, along with various other
 useful modules.
 .
 The package currently contains documentation and example programs.

Package: python-xml-dbg
Priority: extra
Architecture: any
Depends: python-xml (= ${binary:Version}), python-dbg, ${shlibs:Depends}
Description: XML tools for Python (debug extension)
 The Python/XML distribution contains the basic tools required for
 processing XML data using the Python programming language, assembled
 into one easy-to-install package.  The distribution includes parsers
 and standard interfaces such as SAX and DOM, along with various other
 useful modules.
 .
 This package contains the extension built for the python debug interpreter.

Package: python2.5-xml
Architecture: any
Depends: python-xml (= ${binary:Version})
Description: XML tools for Python
 This package name is now deprecated, please use the python-xml package
 for developing new software.

Package: python2.5-xml-dev
Architecture: any
Depends: python-xml (= ${binary:Version})
Description: Development files for XML tools for Python (2.5.x)
 This package name is now deprecated, please use the python-xml package
 for developing new software.

Package: xbel
Architecture: all
Section: web
Depends: sgml-base
Recommends: xml-core
Description: XML Bookmark Exchange Language
 The XML Bookmark Exchange Language (XBEL) is a rich interchange
 format for "bookmark" data as used by most web browsers.
 .
 This package contains XBEL DTDs for 1.0 and 1.1 formats as well
 as documentation.

Package: xbel-utils
Architecture: all
Section: web
Depends: ${python:Depends}, python-xml (>= ${binary:Version}), xbel
Replaces: xbel-utils-0.6
Conflicts: xbel-utils-0.6
XB-Python-Version: ${python:Versions}
Description: XML Bookmark Exchange Language Utilities
 The XML Bookmark Exchange Language (XBEL) is a rich interchange
 format for "bookmark" data as used by most web browsers.
 .
 This package contains several utilities for converting between
 XBEL and other common bookmark formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*-Makefile-*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEFAULT_PYTHON	:= $(shell pyversions -d)
VERSIONS	:= $(shell pyversions -vs)

dest_xbel := debian/xbel
dest_xbel_utils := debian/xbel-utils

doc_xbel := $(dest_xbel)/usr/share/doc/xbel
doc_xbel_utils := $(dest_xbel_utils)/usr/share/doc/xbel-utils
debian_patches=

with_doc := no
with_xbel := no

ifneq ($(with_doc),yes)
NOPKGS += -Npython-xml-doc
endif

ifneq ($(with_xbel),yes)
NOPKGS += -Nxbel -Nxbel-utils
endif

export DH_OPTIONS = $(NOPKGS)

ifneq ($(shell dh_listpackages -i $(DH_OPTIONS) 2>/dev/null),)
with_indep := yes
endif

build: stamp-build
stamp-build: $(VERSIONS:%=stamp-build-%)
	touch $@
stamp-build-%: patched-stamp
	dh_testdir
	python$* setup.py build --without-xslt
	cp doc/man/xmlproc_parse.1 doc/man/xmlproc_parse.python$*-xml.1
	cp doc/man/xmlproc_val.1 doc/man/xmlproc_val.python$*-xml.1

	python$*-dbg setup.py build --without-xslt

	touch $@

clean: reverse-patches
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -rf build dist
	rm -f doc/man/xmlproc_*.python2.?-xml.1
	find . -name "*.py[co]" -exec rm -f {} \;
	rm -f debian/man/index.bt
	dh_clean

# no arch independent packages left
ifeq ($(with_indep),yes)

# Build architecture-independent files here.
binary-indep: 
	dh_testdir -i
	dh_testroot -i
	dh_clean -k -i
	dh_installdirs -i

ifeq ($(with_xbel),yes)
# xbel
	install -m 0644 demo/xbel/doc/* $(doc_xbel)
	install -m 0644 demo/xbel/README $(doc_xbel)
	install -m 0644 demo/xbel/*.dtd $(dest_xbel)/usr/share/sgml/dtd
	ln -s ../../dtd/xbel-1.0.dtd \
	  $(dest_xbel)/usr/share/sgml/IDN_python.org/dtd/XML_Bookmark_Exchange_Language_1.0
	ln -s ../../dtd/xbel-1.1.dtd \
	  $(dest_xbel)/usr/share/sgml/IDN_python.org/dtd/XML_Bookmark_Exchange_Language_1.1
	install -m 0644 debian/xbel.sgml-catalog $(dest_xbel)/usr/share/sgml/misc/xbel/xbel.cat

# xbel_utils
	install -m 0644 demo/xbel/README $(doc_xbel_utils)
	mkdir -p $(dest_xbel_utils)/usr/lib/$(DEFAULT_PYTHON)/site-packages/_xmlplus/xbel
	install -m 0644 demo/xbel/*.py \
	  $(dest_xbel_utils)/usr/lib/$(DEFAULT_PYTHON)/site-packages/_xmlplus/xbel
	touch $(dest_xbel_utils)/usr/lib/$(DEFAULT_PYTHON)/site-packages/_xmlplus/xbel/__init__.py

	set -e; \
	cd $(dest_xbel_utils) && \
	for i in `find -type f`; do \
	    if head -1 $$i | grep "^#! */usr/bin" | grep "python" >/dev/null ; then \
	        sed "s%#! */usr/bin/env \+python.*$\%#! /usr/bin/python%" <$$i >$$i.temp; \
	        mv $$i.temp $$i; \
			chmod +x $$i; \
	    fi; \
	done

	for i in adr_parse lynx_parse msie_parse ns_parse xbel2html xbel_parse ; do \
	  ( \
	    echo "#! /bin/sh"; \
	    echo "ver=\$$(/usr/bin/python -c 'import sys; print sys.version[:3]')"; \
	    echo "exec /usr/bin/python /usr/lib/python\$$ver/site-packages/_xmlplus/xbel/$$i.py \"\$$@\""; \
	  ) > $(dest_xbel_utils)/usr/bin/$$i; \
	done
endif

ifeq ($(with_doc),yes)
# python-xml-doc
	mkdir -p debian/python-xml-doc/usr/share/doc/python-xml
	mkdir -p debian/python-xml-doc/usr/share/doc/python-xml-doc
	cp -R doc/* debian/python-xml-doc/usr/share/doc/python-xml/
	rm -rf debian/python-xml-doc/usr/share/doc/python-xml/man
	rm -rf debian/python-xml-doc/usr/share/doc/python-xml/*.tex
	cp -r demo/* debian/python-xml-doc/usr/share/doc/python-xml/examples/demo/
	cp -r test/* debian/python-xml-doc/usr/share/doc/python-xml/examples/test/
	rm -rf debian/python-xml-doc/usr/share/doc/python-xml/examples/demo/xbel

	for i in debian/python-xml-doc/usr/share/doc/python-xml/*; do \
	  b=$$(basename $$i); \
	  ln -sf ../python-xml/$$b debian/python-xml-doc/usr/share/doc/python-xml-doc/$$b; \
	done

	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in `find debian/python-xml-doc -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
endif

	dh_pycentral -i

	dh_installdocs -i
	dh_installman -pxbel-utils 
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

else
binary-indep:
# do nothing
endif

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir -a
	dh_testroot -a
	dh_clean -k -a
	dh_installdirs -a
	for version in $(VERSIONS)  ; do \
	  PYTHON=python$${version} ; \
	  PACKAGE=python-xml ;\
	  DESTDIR=debian/$${PACKAGE} ;\
	  SITE_PACK=$${DESTDIR}/usr/lib/$${PYTHON}/site-packages/_xmlplus ;\
	  $${PYTHON} setup.py install \
	    --without-xslt --no-compile --prefix=$${DESTDIR}/usr ;\
	  chmod 755 $${SITE_PACK}/dom/html/GenerateHtml.py ;\
	  rm $${DOC}/examples/demo/sgmlop/test2.htm ;\
	  tail -n +2 $${SITE_PACK}/dom/ext/c14n.py > $${SITE_PACK}/dom/ext/c14n.py.new ;\
	  mv $${SITE_PACK}/dom/ext/c14n.py.new $${SITE_PACK}/dom/ext/c14n.py ;\
          for i in `find $${DESTDIR} -type f`; do \
	      if head -1 $$i | grep "^#! */usr/bin" | grep "python" >/dev/null ; then \
	        sed -i 's@^\(#! */usr/bin/env \+\)python[.[:digit:]]*$$@\1'$${PYTHON}'@;s@^\(#! */usr/bin/\)python[.[:digit:]]*$$@\1'$${PYTHON}'@' $$i; \
	      fi ;\
          done ;\
	  mv $${DESTDIR}/usr/bin/xmlproc_parse \
	    $${DESTDIR}/usr/bin/xmlproc_parse.$${PACKAGE} ;\
	  mv $${DESTDIR}/usr/bin/xmlproc_val \
	    $${DESTDIR}/usr/bin/xmlproc_val.$${PACKAGE} ;\
	done
	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in `find debian -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

	for version in $(VERSIONS)  ; do \
	  PYTHON=python$${version} ; \
	  PACKAGE=python-xml-dbg ;\
	  DESTDIR=debian/$${PACKAGE} ;\
	  SITE_PACK=$${DESTDIR}/usr/lib/$${PYTHON}/site-packages/_xmlplus ;\
	  DOC=$${DESTDIR}/usr/share/doc/$${PACKAGE} ;\
	  $${PYTHON}-dbg setup.py \
	    install --without-xslt --no-compile --prefix=$${DESTDIR}/usr ;\
	done
	find debian/python-xml-dbg ! -type d ! \( -name '*_d.so' -o -name '*.h' \) \
		| xargs rm -f
	find debian/python-xml-dbg -depth -empty -exec rmdir {} \;

	dh_pycentral -a
	dh_installdocs -a
	dh_installmenu -a
	dh_installman -a
	dh_installchangelogs -a ANNOUNCE
	rm -rf debian/python-xml-dbg/usr/share/doc/python-xml-dbg
	ln -s python-xml debian/python-xml-dbg/usr/share/doc/python-xml-dbg
	dh_strip -ppython-xml --dbg-package=python-xml-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# ---------------------------------------------------------------------------
# Various rules to unpack addons and (un)apply patches.
# Borrowed from DBS

patch_dir       = debian/patches

apply-patches: patched-stamp
reverse-patches:
	@for stamp in none patched-*; do \
		case "$$stamp" in none|patched-stamp|patched-\*) continue; esac; \
		patch=`echo $$stamp | sed -e 's/patched-//'`; \
		echo "trying to revert patch $$patch ..."; \
		if [ -x $(patch_dir)/$$patch.dpatch ]; then true; else \
			chmod +x $(patch_dir)/$$patch.dpatch; fi; \
		if $(patch_dir)/$$patch.dpatch -unpatch; then \
			echo "reverted $$patch patch."; \
			rm -f $$stamp; \
		else \
			echo "error in reverting $$patch patch."; \
			exit 1; \
		fi; \
	done
	@echo "Removing patched-stamp"
	@rm -f patched-stamp

patched-%: $(patch_dir)/%.dpatch

=== debian/watch ===
version=3
http://sf.net/pyxml/ PyXML-(.+)\.tar\.gz
